<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<h1>Book List</h1>
<table>

        <tr>
            <th>Id</th>
            <th>Title</th>
            <th>Publisher</th>
        </tr>
    <tr th:each="book : ${books}">
        <td th:text="$book.id">123</td>
        <td th:text="$book.title">Abcdef</td>
        <td th:text="$book.publisher.name">Name</td>
    </tr>


</table>
</body>
</html>